@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.wrapper {
  background-color: #434f50;

  @include tablet-p {
    padding-top: 0;
  }
  @include mobile {
    padding-top: 245px;

    @media (max-height: 700px){
      padding-top: 300px;
    }
  }

  .threeDModule {
    overflow: hidden;

    @media (max-width: 1024px) {
      display: none;
    }
  }
}

.textWrapperDesktop {
  margin: auto;
  width: 90%;

  @include desktop-lg {
    max-width: 1440px;
  }

  @include tablet-p {
    display: none;
  }

  @include mobile {
    display: none;
  }
}

.textWrapperMobile {
  margin: auto;
  width: 85%;
  display: none;

  @include tablet-p {
    display: flex;
    flex-direction: column;
  }
  @include mobile {
    display: flex;
    flex-direction: column;
  }
}

.heading {
  display: flex;
  flex-direction: column;
  justify-content: center;

  @include desktop-lg {
    margin-top: 80px;
  }
}
.description {
  position: relative;
  color: $grey-60;
  font-size: 1rem;
  > p {
    width: 49ch;
  }
  text-align: left;
}
.first {
  font-family: 'Editorial New';
  align-self: center;
  text-transform: uppercase;
  display: flex;
  font-weight: 200;
  font-size: 75px;
  line-height: 1.3em;
  color: $cream-40;
  margin: 0;

  @include tablet-p {
    font-size: 50px;
    flex-direction: column;
  }

  @include mobile {
    font-size: 36px;
    flex-direction: column;
  }

  @include iphone5 {
    font-size: 35px;
    flex-direction: column;
    text-align: center;
  }

  .second {
    align-self: center;
    @include fontStyles($brown-50, 'Notera', 400, 3.5rem);
    margin: 0 0 -10px 20px;
    text-transform: capitalize;

    @include tablet-p {
      font-size: 35px;
      margin: 10px 0;
    }

    @include mobile {
      font-size: 40px;
      margin: 10px 0;
    }
  }
}

.threeDView {
  position: relative;
  height: 400px;

  @include mobile {
    height: 150px;
  }

  .imgStyle {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;

    @include mobile {
      object-fit: contain;
      object-position: bottom;
    }
  }
}
.interactBtn {
  display: none;
  position: absolute;
  bottom: 8%;
  left: 50%;
  transform: translateX(-50%);

  @include tablet-p {
    display: none;
  }

  @include mobile {
    display: none;
  }
}

.threeDbanner {
  width: 100%;
  height: 70vh;

  @include mobile {
    height: 30vh;
  }
}

.villa {
  width: 100vw;
  height: 100vh;
  z-index: 2;
  position: relative;

  @include desktop-lg {
    height: 80vh !important;
  }

  @include mobile {
    width: 300px !important;
    height: 300px !important;
    margin-left: 50%;
    transform: translate(-50%);
  }
}

// .masterplan-btn{
//   display: flex;
//   justify-content: center;
//   >button{
//   padding: 5px 10px;
//   border-radius: 30px;
//   font-family: "Manrope";
//   font-weight: 400;
//   }
// }

.third-section {
  width: 100%;
  background-color: #434f50;
  padding: 120px 0;
  @media (max-width: 1024px) {
    padding-top: 0px;
    @include mobile {
      padding-top: 50px;
    }
  }
  > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .text-div {
      margin-left: 100px;
      margin-right: 75px;
      margin-top: -50px;
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: clamp(30px, calc(20px + 2vw), 60px);
          // font-size: 50px;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          color: #f8f0e8;
          display: flex;
          align-items: center;
          line-height: 1.3em;
          margin-bottom: 20px;
          > span {
            display: block;
            margin-bottom: -10px;
            margin-left: 85px;
            margin-right: 30px;
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            text-transform: lowercase;
            font-size: 63px;
            line-height: 110%;
            letter-spacing: -0.01em;
            color: #9c7e61;

            @include notera-font;
          }
          @media (min-width: '1600px') {
            font-size: 60px;
          }
          @media (min-width: '1900px') {
            font-size: 90px;
          }
        }
      }
      .content {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        color: #f8f0e8;
        opacity: 0.7;
        width: 44ch;
        margin-left: 100px;
        margin-top: 37px;
        line-height: 170%;

        @include subheading-font;
      }
    }
    .potential-image {
      margin-right: 0;
      width: 45vw;

      > img {
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
    }
  }

  .images-div-mobile {
    display: none;
    margin-top: 90px;
    .carousel-root .control-dots .dot {
      opacity: 1;
      box-shadow: none;
      background: none;
      border: 1px solid white;
      border-radius: 50%;
      width: 8px;
      height: 8px;

      &.selected {
        background: white;
      }
    }
  }
  .explore-btn,
  .explore-btn-mobile {
    background: transparent;
    border: 1px solid #262e2f;
    display: flex;
    border-radius: 150px;
    padding: 14px 21px;
    width: fit-content;
    margin: 0 auto;
    margin-top: 100px;
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    text-align: center;
    cursor: pointer;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: #f1efe5;

    @include mobile {
      font-size: 14px;
      margin-top: 0;
    }
    background-size: 200% 100%;
    background-image: linear-gradient(to right, #3b4344 50%, #262e2f 50%);
    transition: background-position 1s;
    &:hover {
      background-position: -100% 0;
    }
  }
  .explore-btn-mobile {
    display: none;
  }
  @media (max-width: 1024px) {
    padding-bottom: 0;
    min-height: unset;
    > div {
      flex-direction: column;
      .text-div {
        margin: 0;
        padding: 0 20px;
        .title {
          width: 100%;
          > div {
            display: flex;
            flex-direction: column;
            font-size: 40px;
            justify-content: center;
            margin-top: 10px;
            gap: 10px78;
            &:first-of-type {
              margin-bottom: 0;
              margin-top: 0;
              text-align: center;
            }
            > span {
              margin: -20px 0 0;
              @include mobile {
                font-size: 40px;
              }
            }
            @include heading-font;
          }
        }
        .content {
          text-align: center;
          margin: 0;
          font-size: 14px;
          margin: auto;

          @include mobile {
            width: unset;
          }
          @include subheading-font;
        }
      }
      .potential-image {
        width: 100%;
        height: 300px;
        margin-left: 0;
        margin-right: 0;

        @include tablet {
          height: 500px;
        }

        > img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: block;

      img {
        height: 100%;
      }
    }
    .explore-btn,
    .explore-btn-mobile {
      margin: 50px auto;
      font-size: 14px;
      padding: 14px 21px;
      display: block;

      @include mobile {
        padding: 8px 12px;
      }

      @include tablet {
        margin: 50px 0 80px;
      }
    }
    .explore-btn {
      display: none;
    }
  }
}

.modal-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  height: 100dvh;
  font-size: 24px;
  font-weight: 700;
}

.modal-img {
  position: fixed;
  width: 200vh;
  height: 100vh;
  max-width: min(2500px, 100vw);
  max-height: min(1250px, 100vh);

  @media (max-width: 1024px) {
    width: min(100dvw, 100vw, 200dvh, 200vh);
    height: 100vh;
    height: 100dvh;
    max-height: unset;
    max-width: unset;
  }

  @include tablet {
    @media only screen and (orientation: portrait) {
      height: calc(100vw / 1.4);
      img {
        object-fit: cover;
      }
    }
  }

  @include mobile {
    @media only screen and (orientation: portrait) {
      display: none;
    }
  }
}

.cross {
  position: absolute;
  top: 1rem;
  right: 1rem;
  z-index: 3;
  cursor: pointer;
  border-radius: 100%;
  background-size: 100% 200%;
  background-image: linear-gradient(
    to top,
    rgb(175, 168, 168) 50%,
    transparent 50%
  );
  transition: background-position 1s;
  &:hover {
    background-position: 100% 100%;
  }

  @include mobile {
    top: 0.5rem;
    right: 0.5rem;
  }
}
